//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Support/Util/DesignerHelper.cpp
//! @brief     Implements class DesignerHelper
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Support/Util/DesignerHelper.h"
#include "GUI/Support/Util/Style.h"

int DesignerHelper::getSectionFontSize()
{
    return GUI::Style::SystemPointSize() * 1.2;
}

int DesignerHelper::getLabelFontSize()
{
    return GUI::Style::SystemPointSize() * 0.9;
}

int DesignerHelper::getPortFontSize()
{
    return GUI::Style::SystemPointSize() * 0.7;
}

int DesignerHelper::getPythonEditorFontSize()
{
    return GUI::Style::SystemPointSize();
}
